Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1102451

Description of problem:

Currently the content view filters controller does not honor hte name parameter.

Using hammer you can reproduce this issue:

hammer content-view filter create --organization=Example_Org1 --content-view=SOE-OS --type=erratum --name='Restrict Errata’

--inclusion=false

hammer content-view filter create --organization=Example_Org1 --content-view=SOE-OS --type=erratum --name="'Restrict Errata2'

--inclusion=false

hammer content-view filter rule create --content-view=SOE-OS --content-view-filter="Restrict Errata’
--organization=Example_Org1 --start-date=2013-11-20

will result in:

Error: content_view_filter found more than once

Associated revisions

Revision 2ca24f58 - 06/04/2014 09:36 PM - Christine Fouant

fixes #6064 - fixes content view filter not honoring the name parameter, BZ 1102451

Revision 35404d07 - 06/05/2014 02:41 PM - Walden Raines

Merge pull request #4216 from cfouant/content-view-filter-by-name

fixes #6064 - fixes content view filter not honoring the name parameter, BZ 1102451

Revision 387bf1e4 - 06/18/2014 09:26 PM - Christine Fouant
fixes #6064 - Content-view filters can be sorted by name, BZ 1102451

Revision ef51790e - 06/19/2014 01:35 AM - Justin Sherrill
Merge pull request #4276 from cfouant/fixes-6064

fixes #6064 - Content-view filters can be sorted by name, BZ 1102451

History

#1 - 06/05/2014 03:19 AM - Eric Helms

- Target version set to 45

- Triaged set to Yes

#2 - 06/05/2014 02:52 PM - Christine Fouant

- Status changed from New to Closed
https://bugzilla.redhat.com/show_bug.cgi?id=1102451

- % Done changed from 0 to 100
Applied in changeset katellojcommit:2ca24f58b5d694f1f11afab8962b4afd3b9e1b72.

#3 - 06/05/2014 05:55 PM - Bryan Kearney

- Status changed from Closed to Resolved

#4 - 06/16/2014 08:03 PM - Christine Fouant

- Status changed from Resolved to Assigned

#5 - 06/19/2014 01:52 AM - Christine Fouant

- Status changed from Assigned to Closed
Applied in changeset katellojcommit:387bf1e4bb419ca04917e699084d45962207504c.

#6 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
